For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get firewall details

Retrieve firewall by its ID and rules associated with it. Use this endpoint to view specific firewall configuration and rules.

Get firewall details

get

Retrieve firewall by its ID and rules associated with it.

Use this endpoint to view specific firewall configuration and rules.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
firewallIdintegerRequired

Firewall ID

Example: 9449049
Responses
200

Success response

application/json
idintegerOptional

Firewall ID

Example: 65224
namestringOptional

Firewall name

Example: HTTP and SSH only
is_syncedbooleanOptional

Is current firewall synced with VPS

Example: false
created_atstring · date-timeOptionalExample: 2021-09-01T12:00:00Z
updated_atstring · date-timeOptionalExample: 2021-09-01T12:00:00Z
get/api/vps/v1/firewall/{firewallId}
GET /api/vps/v1/firewall/{firewallId} HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": 65224,
  "name": "HTTP and SSH only",
  "is_synced": false,
  "rules": [
    {
      "id": 24541,
      "action": "accept",
      "protocol": "TCP",
      "port": "1024:2048",
      "source": "any",
      "source_detail": "any"
    }
  ],
  "created_at": "2021-09-01T12:00:00Z",
  "updated_at": "2021-09-01T12:00:00Z"
}

Last updated

Was this helpful?